apiVersion: tekton.dev/v1beta1
kind: Task
metadata:
  name: write-ads
spec:
  params:
    - name: source
      type: string
    - name: today
      type: string
  steps:
    - name: write-ads
      command:
        - python
        - main.py
        - write_ads
        - --filename=$(params.source).enriched.jsonl
      envFrom:
        - configMapRef:
            name: historical-ads-importer-cm
      env:
        - name: ELASTICSEARCH_USER
          valueFrom:
            secretKeyRef:
              key: DB_USER
              name: historical-ads-importer-db
        - name: ELASTICSEARCH_PWD
          valueFrom:
            secretKeyRef:
              key: DB_PWD
              name: historical-ads-importer-db
        - name: TEMP_DIRECTORY
          value: $(workspaces.archived_ads.path)
      image: >-
        registry.gitlab.com/arbetsformedlingen/job-ads/historical-importer/main:latest
      resources: {}
      volumeMounts:
        - name: cabundle
          mountPath: /certs/af.crt
          subPath: cert
  workspaces:
    - description: |
        The folder where we write the jsonl files
        with archived ads to.
      name: archived_ads
      optional: true
  volumes:
    - name: cabundle
      configMap:
        name: af-ca
        items:
          - key: ca-bundle.crt
            path: cert
